<script lang="ts">
  import UserBadge from '@components/UserBadge.svelte';
  import { Button, type Color } from '@sveltestrap/sveltestrap';

  export let userId: string;
  export let firstName: string;
  export let lastName: string;
  export let buttonText: string;
  export let buttonColor: Color = 'danger';
  export let onClick: (event: MouseEvent) => void;
</script>

<div class="card p-2 mb-2">
  <div class="d-flex flex-row align-items-center">
    <div class="flex-grow-1">
      <UserBadge {userId} {firstName} {lastName} />
    </div>
    <div class="ml-1"><Button color={buttonColor} on:click={onClick}>{buttonText}</Button></div>
  </div>
</div>
